%define name urlview
%define release 4mdk
%define version 0.9

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Mail
Source: ftp://ftp.mutt.org/pub/mutt/contrib/%{name}-%{version}.tar.bz2
Requires: slang >= 0.99.38, webclient
Source1: urlview-regex.o-alpha.bz2
Patch: urlview-comma.patch2
Patch1: url_path.patch.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
Summary: A URL extractor/viewer for use with Mutt.
BuildRequires: slang-devel slang

%description
urlview extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%prep
%setup -q 
%patch -p1
%patch1 -p1

%build
#suckattack
%ifarch alpha
mkdir regex
bzcat %{SOURCE1} > regex/regex.o
%endif
%configure --with-slang
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall
install -m755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.1*

%changelog
* Mon Aug 13 2001 DindinX <odin@mandrakesoft.com> 0.9-4mdk
- rebuilt

* Tue Nov 07 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.9-3mdk
- make regex dir before catting file in there

* Tue Oct 24 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-2mdk
- fix netscape and mail binary path (thanx Guillaume Rousse)

* Wed Aug 16 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.9-1mdk
- 0.9
- include patch to escape commas passed via openURL by <ben@reser.org>

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-5mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-4mdk
- BM + bzipped alpha file

* Mon Jul 10 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.8.1-3mdk
- makeinstall macro
- macroszifications

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8.1-2mdk
- On alpha get a regex.o compiled and linked for alpha.

* Mon Apr 03 2000 Daouda Lo <daouda@mandrasoft.com> 0.8.1-1mdk
- fresh release 0.8.1
- added define section in spec
- cleanup spec file

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7-6mdk
- fix group
* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
